Package com.documentum.registry

# Interface IDfClientRegistryInternal

All Superinterfaces:
  `IDfClientRegistry`

All Known Implementing Classes:
  `DfClientRegistry`, `DfClientRegistryBaseInternal`

public interface IDfClientRegistryInternal extends IDfClientRegistry

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `addAppSupportDocument(IDfAppSupportDocumentInternal appSupportDoc)`
  Writes the information contained in IDfAppSupportDocumentInternal object to the registry
  `void`
  `addCheckedOutObject(IDfCheckedOutObject checkoutObj)`
  Adds the information contained in the checked out object to the registry.
  `void`
  `addInlineDescendant(IDfInlineDescendantInternal inlineObj)`
  Writes the information contained in IDfInlineDescendantInternal object to the registry
  `void`
  `addLocalObject(IDfLocalObject localObj)`
  Adds the information contained in the local object to the registry.
  `void`
  `addViewedObject(IDfViewedObject viewedObj)`
  Adds the information contained in the viewed out object to the registry.
  `IDfAppSupportDocumentInternal`
  `createAppSupportDocument(String docbase, String docbaseUser, String appName, IDfId objectId)`
  Creates a IDfAppSupportDocumentInternal representation of the application support document.
  `IDfCheckedOutObject`
  `createCheckedOutObject(IDfId objectId)`
  Creates a IDfCheckedOutObject representation of the checked out object.
  `IDfInlineDescendantInternal`
  `createInlineDescendantObject(IDfId objectId, IDfId rootId)`
  Creates an IDfInlineDescendantInternal object representation of the inline descendant information contained in the registry.
  `IDfLocalObject`
  `createLocalObject(IDfId objectId)`
  Creates a IDfLocalObject representation of the local object.
  `IDfViewedObject`
  `createViewedObject(IDfId objectId)`
  Creates a IDfViewedObject representation of the viewed object.
  `IDfList`
  `getApplicationSupportDocuments()`
  Returns a list of IDfApplicationSupportDocument objects.
  `IDfAppSupportDocumentInternal`
  `getAppSupportDocument(String docbase, String docbaseUser, String appName, IDfId objectId)`
  Get IDfAppSupportDocumentInternal object representation of the application support document information in the registry.
  `IDfEnumeration`
  `getCheckedOutObjectsByMasterId(String masterId)`
  `IDfHouseKeepingObject`
  `getHouseKeepingObject()`
  Returns the IDfHouseKeepingObject representation of the house keeping information contained in the registry.
  `IDfInlineDescendantInternal`
  `getInlineDescendant(IDfId objectId)`
  Get IDfInlineDescendantInternal object representation of the inline descendant corresponding to the object id.
  `IDfRegistry`
  `getRegistry(long whichRoot)`
  Returns IDfRegistry corresponding to the root.
  `boolean`
  `isLocalItemProcessingRequired()`
  Returns true if the local item processing is required.
  `void`
  `loadRegistry()`
  Loads the information contained in the underlying registry storage in memory.
  `void`
  `removeAppSupportDocument(String docbase, String docbaseUser, String applicationName, IDfId objectId)`
  Removes the application support document information from the registry.
  `void`
  `removeInlineDescendant(IDfId objectId)`
  Removes the inline descendant information corresponding to the object id from the registry.
  `void`
  `saveRegistryUpdates()`
  Saves the information contained in the memory to the underlying registry.

  ### Methods inherited from interface com.documentum.registry.IDfClientRegistry

  `addCheckedOutObject, addFileToBeDeleted, addLocalObject, addViewedObject, applyModifiedAttrs, getCheckedOutObjectById, getCheckedOutObjectByPath, getCheckedOutObjects, getCheckoutDirectory, getExportDirectory, getFilesToBeDeleted, getLocalObjectById, getLocalObjectByPath, getLocalObjects, getProgramDirectory, getRegistry, getUserDirectory, getViewedObjectById, getViewedObjectByPath, getViewedObjects, moveToCheckedOutFiles, moveToLocalFiles, removeCheckedOutObject, removeFileToBeDeleted, removeLocalObject, removeViewedObject, setCheckoutDirectory, setExportDirectory, setProgramDirectory, setUserDirectory`

- ## Method Details

  - ### addInlineDescendant

    void addInlineDescendant(IDfInlineDescendantInternal inlineObj) throws DfException
    Writes the information contained in IDfInlineDescendantInternal object to the registry
    Parameters:
      `inlineObj` - IDfInlineDescendantInternal object that contains inline descendant information.
    Throws:
      `DfException`

  - ### removeInlineDescendant

    void removeInlineDescendant(IDfId objectId) throws DfException
    Removes the inline descendant information corresponding to the object id from the registry.
    Parameters:
      `objectId` - the inline descendant correponding to this object id will be removed from the registry.
    Throws:
      `DfException`

  - ### getInlineDescendant

    IDfInlineDescendantInternal getInlineDescendant(IDfId objectId) throws DfException
    Get IDfInlineDescendantInternal object representation of the inline descendant corresponding to the object id.
    Parameters:
      `objectId` - the inline descendant object id
    Returns:
      IDfInlineDescendantInternal object
    Throws:
      `DfException`

  - ### addAppSupportDocument

    void addAppSupportDocument(IDfAppSupportDocumentInternal appSupportDoc) throws DfException
    Writes the information contained in IDfAppSupportDocumentInternal object to the registry
    Parameters:
      `appSupportDoc` - IDfAppSupportDocumentInternal object that contains application support document information.
    Throws:
      `DfException`

  - ### removeAppSupportDocument

    void removeAppSupportDocument(String docbase, String docbaseUser, String applicationName, IDfId objectId) throws DfException
    Removes the application support document information from the registry. Docbase Name, docbase user, application name and object id together uniquely define the application support document information in the registry.
    Parameters:
      `docbase` - the docbase name
      `docbaseUser` - the docbase user name
      `applicationName` - the XML application name
      `objectId` - the docbase object id
    Throws:
      `DfException`

  - ### getAppSupportDocument

    IDfAppSupportDocumentInternal getAppSupportDocument(String docbase, String docbaseUser, String appName, IDfId objectId) throws DfException
    Get IDfAppSupportDocumentInternal object representation of the application support document information in the registry. Docbase Name, docbase user, application name and object id together uniquely define the application support document information in the registry.
    Parameters:
      `docbase` - docbase name
      `docbaseUser` - docbase user name
      `appName` - application name
      `objectId` - docbase object id
    Returns:
      IDfAppSupportDocumentInternal object representation of the application support document information in the registry
    Throws:
      `DfException`

  - ### getApplicationSupportDocuments

    IDfList getApplicationSupportDocuments() throws DfException
    Returns a list of IDfApplicationSupportDocument objects.
    Returns:
      IDfList of IDfApplicationSupportDocument objects.
    Throws:
      `DfException`

  - ### addCheckedOutObject

    void addCheckedOutObject(IDfCheckedOutObject checkoutObj) throws DfException
    Adds the information contained in the checked out object to the registry.
    Parameters:
      `checkoutObj` - IDfCheckedOutObject object representation of the checked out object.
    Throws:
      `DfException`

  - ### addViewedObject

    void addViewedObject(IDfViewedObject viewedObj) throws DfException
    Adds the information contained in the viewed out object to the registry.
    Parameters:
      `viewedObj` - IDfViewedObject object representation of the viewed object.
    Throws:
      `DfException`

  - ### addLocalObject

    void addLocalObject(IDfLocalObject localObj) throws DfException
    Adds the information contained in the local object to the registry.
    Parameters:
      `localObj` - IDfLocalObject object representation of the local object.
    Throws:
      `DfException`

  - ### getHouseKeepingObject

    IDfHouseKeepingObject getHouseKeepingObject()
    Returns the IDfHouseKeepingObject representation of the house keeping information contained in the registry.
    Returns:
      IDfHouseKeeping object

  - ### createCheckedOutObject

    IDfCheckedOutObject createCheckedOutObject(IDfId objectId) throws DfException
    Creates a IDfCheckedOutObject representation of the checked out object. Note that there is no information contained in this object when it is created. It is just an empty place holder in which the information about checked out object can be populated.
    Returns:
      IDfCheckedOutObject
    Throws:
      `DfException`

  - ### createViewedObject

    IDfViewedObject createViewedObject(IDfId objectId) throws DfException
    Creates a IDfViewedObject representation of the viewed object. Note that there is no information contained in this object when it is created. It is just an empty place holder in which the information about viewed object can be populated.
    Returns:
      IDfViewedObject
    Throws:
      `DfException`

  - ### createLocalObject

    IDfLocalObject createLocalObject(IDfId objectId) throws DfException
    Creates a IDfLocalObject representation of the local object. Note that there is no information contained in this object when it is created. It is just an empty place holder in which the information about local object can be populated.
    Returns:
      IDfLocalObject
    Throws:
      `DfException`

  - ### createAppSupportDocument

    IDfAppSupportDocumentInternal createAppSupportDocument(String docbase, String docbaseUser, String appName, IDfId objectId) throws DfException
    Creates a IDfAppSupportDocumentInternal representation of the application support document. Note that the only information contained in this IDfApplicationSupportDocument after creation is what is passed as parameter values i.e. docbase name, docbase user, application name and object id. Other related information for this application support document should be populated.
    Parameters:
      `docbase` - docbase name
      `docbaseUser` - docbase user
      `appName` - application name
      `objectId` - docbase object id
    Returns:
      IDfApplicationSupportDocument
    Throws:
      `DfException`

  - ### createInlineDescendantObject

    IDfInlineDescendantInternal createInlineDescendantObject(IDfId objectId, IDfId rootId) throws DfException
    Creates an IDfInlineDescendantInternal object representation of the inline descendant information contained in the registry.
    Parameters:
      `objectId` - docbase object id that corresponds to the inline descendant
      `rootId` - docbase object id that contains this inline descendant (directly or indeirectly)
    Returns:
      IDfInlineDescendantInternal object
    Throws:
      `DfException`

  - ### loadRegistry

    void loadRegistry() throws DfException
    Loads the information contained in the underlying registry storage in memory.
    Throws:
      `DfException`

  - ### saveRegistryUpdates

    void saveRegistryUpdates() throws DfException
    Saves the information contained in the memory to the underlying registry.
    Throws:
      `DfException`

  - ### isLocalItemProcessingRequired

    boolean isLocalItemProcessingRequired()
    Returns true if the local item processing is required. This is false for the ini file representation of the registry.
    Returns:
      true if local item processing is required; false otherwise

  - ### getRegistry

    IDfRegistry getRegistry(long whichRoot)
    Returns IDfRegistry corresponding to the root. This method is useful if the underlying registry is windows registry. In windows, there are two different types of hives HKLM, HKCU. Currently, we store all the information in HKCU. However, there is some information like check out directory location, user directory location, program directory etc. that is present under HKLM. Hence, if you want to use HKLM hiive, the call method getRegistry() in the base interface. If, you want to use HKCU then use this method by passing IDfRegistry.USER_ROOT.
    Parameters:
      `whichRoot` -
    Returns:
      IDfRegistry representation of registry.

  - ### getCheckedOutObjectsByMasterId

    IDfEnumeration getCheckedOutObjectsByMasterId(String masterId)